Package org.kie.api.builder.model

## Enum ListenerModel.Kind

- java.lang.Object
- - java.lang.Enum<ListenerModel.Kind>
  - - org.kie.api.builder.model.ListenerModel.Kind

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ListenerModel.Kind>`
  Enclosing interface:
    ListenerModel

      public static enum ListenerModel.Kind
      extends java.lang.Enum<ListenerModel.Kind>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AGENDA_EVENT_LISTENER` |
    `PROCESS_EVENT_LISTENER` |
    `RULE_RUNTIME_EVENT_LISTENER` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ListenerModel.Kind` | `fromString​(java.lang.String name)` |
    `java.lang.String` | `toString()` |
    `static ListenerModel.Kind` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ListenerModel.Kind[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AGENDA_EVENT_LISTENER

          public static final ListenerModel.Kind AGENDA_EVENT_LISTENER

    - #### RULE_RUNTIME_EVENT_LISTENER

          public static final ListenerModel.Kind RULE_RUNTIME_EVENT_LISTENER

    - #### PROCESS_EVENT_LISTENER

          public static final ListenerModel.Kind PROCESS_EVENT_LISTENER

  - ### Method Detail

    - #### values

          public static ListenerModel.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ListenerModel.Kind c : ListenerModel.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ListenerModel.Kind valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ListenerModel.Kind>`

    - #### fromString

          public static ListenerModel.Kind fromString​(java.lang.String name)